agents

## Class Agent

- java.lang.Object
- - agents.Agent

- Direct Known Subclasses:
    HealthInsuranceCompany, Person, Physician

      public abstract class Agent
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Agent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Constants.GoalDescription` | `getAgentFirstPriorityGoalDescription()`
    `AgentID` | `getAgentID()` Returns the Agent's identifier.
    `Constants.GoalDescription` | `getAgentSecondPriorityGoalDescription()`
    `double` | `getAgentXLocation()` Returns the Agent's X location.
    `double` | `getAgentYLocation()` Returns the Agent's Y location.
    `void` | `setAgentFirstPriorityGoalDescription(Constants.GoalDescription agentFirstPriorityGoalDescription)`
    `void` | `setAgentID(AgentID pAgentID)` Sets the Agent's identifier.
    `void` | `setAgentSecondPriorityGoalDescription(Constants.GoalDescription agentSecondPriorityGoalDescription)`
    `void` | `setAgentXLocation(double pXLocation)` Sets the Agent's X location.
    `void` | `setAgentYLocation(double pYLocation)` Sets the Agent's Y location.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Agent

          public Agent()

  - ### Method Detail

    - #### getAgentID

          public AgentID getAgentID()

      Returns the Agent's identifier.
      Returns:
        AgentID agentID.

    - #### setAgentID

          public void setAgentID(AgentID pAgentID)

      Sets the Agent's identifier.

    - #### getAgentXLocation

          public double getAgentXLocation()

      Returns the Agent's X location.
      Returns:
        double agentXLocation.

    - #### getAgentYLocation

          public double getAgentYLocation()

      Returns the Agent's Y location.
      Returns:
        double agentYLocation.

    - #### setAgentXLocation

          public void setAgentXLocation(double pXLocation)

      Sets the Agent's X location.

    - #### setAgentYLocation

          public void setAgentYLocation(double pYLocation)

      Sets the Agent's Y location.

    - #### getAgentFirstPriorityGoalDescription

          public Constants.GoalDescription getAgentFirstPriorityGoalDescription()

      Returns:
        the agentFirstPriorityGoalDescription

    - #### setAgentFirstPriorityGoalDescription

          public void setAgentFirstPriorityGoalDescription(Constants.GoalDescription agentFirstPriorityGoalDescription)

      Parameters:
        `agentFirstPriorityGoalDescription` - the agentFirstPriorityGoalDescription to set

    - #### getAgentSecondPriorityGoalDescription

          public Constants.GoalDescription getAgentSecondPriorityGoalDescription()

      Returns:
        the agentSecondPriorityGoalDescription

    - #### setAgentSecondPriorityGoalDescription

          public void setAgentSecondPriorityGoalDescription(Constants.GoalDescription agentSecondPriorityGoalDescription)

      Parameters:
        `agentSecondPriorityGoalDescription` - the agentSecondPriorityGoalDescription to set